Subject: [MMUSIC] Re: Review of draft-ietf-mmusic-ice-tcp-00

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 27 Jun 2006 08:27:30 -0400

Fixed.

Thanks,
Jonathan R.

Even, Roni wrote:

> Hi, Two more editorial comments:
> 
> 1. In section 9 second paragraph "successul" should be "successful"
> 
> 2. In section 7 " since it is the STUN requests identify the
> candidate pairs." I think that a "that" is missing after the "STUN
> requests"
> 
> Roni Even
> 

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 27 Jun 2006 09:07:06 -0400

inline.

Francois Audet wrote:

> Jonathan,
> 
> As promised in Dallas, I have done a review of draft-ietf-mmusic-ice-tcp-00.
> 
> Most of my comments are editorial in nature, except perhaps a minor comment
> on section 3.
> 
> 
> Section 1
> 
> - 2nd paragraph, last line: change "communicatoins" to "communications".

fixed.

> 
> Section 2
> 
> - It would be much clearer if a reference to RFC 4145 be placed at the
>   very begining of this section (after the first paragraph). It is
>   very difficult to follow starting with the 2nd paragraph unless the
>   concepts described in RFC 4145 on active/passive/actpass are understood.

done.

> 
> - 4th paragraph, 4th line. Change "by the agent" to "by the remote agent" or
>   "by the other agent" to make it clear it is the other side you are talking
>   about.

changed to peer.

> 
> - 6th paragraph (top of p. 5). It is not clear what "specifications are 
>   being developped". Perhaps an informative reference to the draft is in 
>   order (http://www.ietf.org/internet-drafts/draft-ietf-behave-tcp-00.txt).

added.

> 
> Section 3
> 
> - Top of page 7. The sentence "Only in cases ... be omitted" probably should
>   be removed as it seems very restrictive. I understand what you are trying
>   to do, i.e., get people to implement ICE-TCP in UAs, which I am OK with. 
>   What I think is important is that UAs have the ability to have ICE-TCP
>   turned on or off depending on network preferences. For example, an 
>   enterprise may decide that ICE-TCP inside the network is unacceptable
>   and should be turned off: this could be communicated to the client through
>   Config-framework (so that it would work when the client is "nomad"). Or
>   maybe there is two configuration profiles for the client (one for inside
>   the enterprise, one for outside). In any case, I think the explanation, or
>   at least the last sentence, is overly restrictive and should be 
>   adjusted.

Changed to:

In
environments where mobility and user control are possible, a
multiplicity of techniques is essential for reliability.

> 
> Section 5
> 
> - First paragraph, first line. Change "procedurs" to "procedures".
> 
> - Second paragraph. Change "set to 9" to "set to 9 (i.e., Discard)" for 
>   clarity.

fixed both.

> 
> Section 6
> 
> - First paragraph, first line. Change "procedurs" to "procedures".

fixed.

> 
> Section 7
> 
> - First word of page 12. Change "Even Ta" to "Every Ta".
> 

fixed.

Thanks,
Jonathan R.